目前Cute主題的核心源碼采用了PHP動態擴展加密解密,是需要php加載相關擴展才能正常運行的,所以使用這款主題,其服務器一定是要能編輯環境文件的才可以,某些虛擬主機,空間等是不能使用的。

視頻教程

加用戶群獲取最新視頻教程

服務器要求

  • 服務器為云服務器或VPS。
  • 操作系統為Linux。
  • glibc組件版本大于2.14(centos7以上版本的glibc都滿足要求,其他版本可自行升級組件)。

主題安裝正確步驟

解壓主題到wordpress主題目錄——加載解密擴展——申請并填寫授權碼——最后在后臺啟用主題
注意:如果你在未加載解密的情況下啟用了主題,務必在加載完后重新啟用一遍主題,以便完成主題必要的部署。

選擇擴展版本

用戶在付費購買【立即購買】主題并交易成功之后,可在多處查看主題下載鏈接等付費內容和信息。

  • 個人中心訂單詳情頁面

 

可以看見主題的打包是針對特定PHP版本的,因為編譯的PHP動態擴展是指定PHP版本的,加密后的內容則不一致。請選擇與你的服務器運行的PHP版本一致的主題包使用。

解壓選定的主題包,其中包含了一個loader5.4.so|loader5.5.so|loader5.6.so|loader7.0.so|loader7.1.so等名稱的文件,即為Cute使用的PHP動態加解密擴展,擴展名包含的數字指明對應的PHP版本號。復制該動態擴展文件至服務器文件系統任意路徑,推薦較短的路徑或者不復制直接使用主題路徑下的擴展文件。

加載擴展到PHP

找到你的php.ini等PHP配置文件,LNMP一鍵安裝包一般在/usr/local/bin/php/etc/php.ini,使用寶塔面板的直接在軟件管理-對應的php版本設置-配置修改內直接添加,如果你不確定可以通過phpinfo信息查看當前應用的PHP配置文件路徑。

個人建議使用寶塔面板,理由很簡單,面板后臺一目了然,也是搭建最簡單的一種方法。

編輯php.ini等配置文件,在文件結尾加入下面2行:

[loader.so]
?
extension = 你的擴展絕對路徑

此擴展僅linux能加載,地址包括根目錄,如:

[loader.so]
?
extension = /www/wwwroot/你的網站目錄/wp-content/themes/Cute/loader7.1.so

注意:使用面板的用戶添加完代碼后請在代碼最后換行留空,防止之后添加新的擴展擠到同一行去導致出錯。
保存配置文件的修改,重啟PHP。使用LNMP的可以使用命令/etc/init.d/php-fpm restart重啟,使用寶塔面板的請在面板中重啟php。

完成重啟后,請訪問phpinfo文件查看PHP的信息,并查找關鍵字php_screw,如果找到記錄則表明擴展加載成功了。

加載不成功處理

由于PHP版本眾多,即便同一個子版本仍有多個發行版,PHP API數據均可能不同,建議使用標準版本,或直接使用寶塔面板。

域名授權

以上步驟完成后,使用相關卡密以及需要綁定的域名在后臺中心申請授權,無卡密可獲取!

授權成功后會獲得一個授權碼,進入后臺將授權碼填入主題設置中即可完成授權。

目前Tint-KCute主題一個授權卡密可綁定兩個頂級域名,請妥善保存你的授權卡密。

WordPress新主題Tint Pro二次開發美化版Tint-K[更新至LTS]

470.00 188.00
5.0 滿分5 基于 10 個用戶評分
立即購買

參與評論

  • 邢楓游客
    主題是不是和貴站一樣,有贊賞功能呢?如果沒有購買WordPress新主題***,能正常使用嗎?
    6月前 (07-28)
    地板
    回復
  • adm**@1111ch.com站長
    僅需購買cute主題即可,包含所有功能,本站使用的就是cute主題
    6月前 (07-28)
    回復
  • w2648368937用戶
    [aru_1][aru_7]兩個表情能加載嗎
    1年前 (2020-02-03)
    板凳
    回復
  • 往事如風游客
    為何配置好擴展 重啟PHP就報錯 說找不到路徑
    3年前 (2018-05-17)
    沙發
    回復
  • adm**@1111ch.com站長
    路徑寫錯了吧 售后問題請直接聯系QQ 評論中不處理售后問題
    3年前 (2018-05-17)
    回復
  • aszxlin用戶
    需要加載擴展?網上的2.0.6版本貌似不需要啊。
    3年前 (2017-11-26)
    1樓
    回復
  • adm**@1111ch.com站長
    網上的2.0.6破解版都是同一個,存在問題有,閹割部分樣式和內容設置,同時注冊郵件無法發送,完全的失敗品,只能拿來測試用。
    3年前 (2017-11-26)
    回復
  • aszxlin用戶
    沒有未加密版的嗎?
    3年前 (2017-11-26)
    回復
  • adm**@1111ch.com站長
    不提供未加密版本
    3年前 (2017-11-26)
    回復
  • adm**@1111ch.com站長
    安裝方法和官方的完全一致,不是網上流傳的2.0.6劣質閹割版可以比的
    3年前 (2017-11-26)
    回復